Zum Inhalt springen

TLS-Organisation aktualisieren

PATCH /tls/organization/{organization_id}

Bezeichner: PatchOrganizationByID

Aktualisiert die lokalen Kontaktdaten der TLS-Organisation, die für Bereitschaftsprüfungen und den Abschluss von Bestellungen verwendet werden.

NameTypPflichtBeschreibung
organization_idtlsOrganizationIdja-

tlsOrganizationPatchRequest

FeldTypPflichtBeschreibung
edit_modestringnein(create_replacement, update_provider)
organizationstringnein-
first_namestringnein-
last_namestringnein-
addressstringnein-
postal_codestringnein-
citystringnein-
country_codestringnein-
phonestringnein-
emailstringnein-
StatusTypBeschreibung
200tlsOrganizationResponseTLS-Organisation aktualisiert
400ErrorUngültige Anfragedaten
401ErrorNicht autorisiert
404ErrorTLS-Organisation nicht gefunden
500ErrorUnerwarteter Fehler
FeldTypPflichtBeschreibung
successbooleanjaErfolgskennzeichen
codeintegerneinAntwort-/Fehlercode
responsetlsOrganizationResponsenein-
Terminal-Fenster
curl -X PATCH "https://api.regfish.com/tls/organization/<organization_id>" \
-H "x-api-key: $REGFISH_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"edit_mode": "create_replacement",
"organization": "string",
"first_name": "string",
"last_name": "string",
"address": "string",
"postal_code": "string",
"city": "string",
"country_code": "string",
"phone": "string",
"email": "string"
}'

Werte eintragen - der Aufruf unten passt sich an. Es wird nichts abgeschickt: die API gibt Browser-Anfragen von dieser Domain aus derzeit nicht frei (CORS). Der API-Key wird nicht gespeichert.